idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.ElabDecls

Description

Synopsis

- elabDecl :: ElabWhat -> ElabInfo -> PDecl -> Idris ()
- elabDecl' :: ElabWhat -> ElabInfo -> PDecl -> StateT IState (ExceptT Err IO) ()
- elabDecls :: ElabInfo -> [PDecl] -> Idris ()
- elabMain :: Idris Term
- elabPrims :: Idris ()
- recinfo :: FC -> ElabInfo

# Documentation

elabDecl :: ElabWhat -> ElabInfo -> PDecl -> Idris () #

elabDecl' :: ElabWhat -> ElabInfo -> PDecl -> StateT IState (ExceptT Err IO) () #

elabDecls :: ElabInfo -> [PDecl] -> Idris () #

elabMain :: Idris Term #

Return the elaborated term which calls `main`

elabPrims :: Idris () #

Elaborate primitives

recinfo :: FC -> ElabInfo #

Top level elaborator info, supporting recursive elaboration